Package org.eclipse.emf.cdo.lm.impl

# Class DropImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.impl.FixedBaselineImpl
org.eclipse.emf.cdo.lm.impl.DropImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `Drop`, `FixedBaseline`, `ModuleElement`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class DropImpl extends FixedBaselineImpl implements Drop
An implementation of the model object 'Drop'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Type`
  - `Label`
  - `Branch Point`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final CDOBranchPointRef`
`BRANCH_POINT_EDEFAULT`
The default value of the '`Branch Point`' attribute.
`protected static final String`
`LABEL_EDEFAULT`
The default value of the '`Label`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.FixedBaselineImpl

`VERSION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DropImpl()`

## Method Summary

Modifier and Type
Method
Description
`DropType`
`basicGetType()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`Object`
`eInvoke(int operationID, EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`EList<Stream>`
`getBasedStreams()`
`CDOBranchPointRef`
`getBranchPoint()`
`String`
`getLabel()`
`String`
`getName()`
`DropType`
`getType()`
`String`
`getTypeName()`
`boolean`
`isRelease()`
`void`
`setBranchPoint(CDOBranchPointRef newBranchPoint)`
`void`
`setLabel(String newLabel)`
`void`
`setType(DropType newType)`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.FixedBaselineImpl

`eInverseRemove, getBasedChanges, getBaseTimeStamp, getDependencies, getVersion, isFloating, setVersion`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, eBasicRemoveFromContainerFeature, eInverseAdd, getModule, getStream, getSystem, getTypeAndName, name, setStream, time`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getStream, getTypeAndName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.FixedBaseline

`getBasedChanges, getDependencies, getVersion, setVersion`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### LABEL_EDEFAULT

protected static final String LABEL_EDEFAULT
The default value of the '`Label`' attribute.

See Also:
  - `getLabel()`
Generated
Ordered

### BRANCH_POINT_EDEFAULT

protected static final CDOBranchPointRef BRANCH_POINT_EDEFAULT
The default value of the '`Branch Point`' attribute.

See Also:
  - `getBranchPoint()`
Generated
Ordered

## Constructor Details

### DropImpl

protected DropImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `FixedBaselineImpl`
Generated

### getType

public DropType getType()

Specified by:
  `getType` in interface `Drop`
Returns:
  the value of the 'Type' reference.
See Also:
  - `Drop.setType(DropType)`
  - `LMPackage.getDrop_Type()`
Generated

### basicGetType

public DropType basicGetType()

Generated

### setType

public void setType(DropType newType)

Specified by:
  `setType` in interface `Drop`
Parameters:
  `newType` - the new value of the 'Type' reference.
See Also:
  - `Drop.getType()`
Generated

### getLabel

public String getLabel()

Specified by:
  `getLabel` in interface `Drop`
Returns:
  the value of the 'Label' attribute.
See Also:
  - `Drop.setLabel(String)`
  - `LMPackage.getDrop_Label()`
Generated

### setLabel

public void setLabel(String newLabel)

Specified by:
  `setLabel` in interface `Drop`
Parameters:
  `newLabel` - the new value of the 'Label' attribute.
See Also:
  - `Drop.getLabel()`
Generated

### getBranchPoint

public CDOBranchPointRef getBranchPoint()

Specified by:
  `getBranchPoint` in interface `Baseline`
Specified by:
  `getBranchPoint` in interface `Drop`
Specified by:
  `getBranchPoint` in class `FixedBaselineImpl`
Returns:
  the value of the 'Branch Point' attribute.
See Also:
  - `Drop.setBranchPoint(CDOBranchPointRef)`
  - `LMPackage.getDrop_BranchPoint()`
Generated

### setBranchPoint

public void setBranchPoint(CDOBranchPointRef newBranchPoint)

Specified by:
  `setBranchPoint` in interface `Drop`
Parameters:
  `newBranchPoint` - the new value of the 'Branch Point' attribute.
See Also:
  - `Drop.getBranchPoint()`
Generated

### isRelease

public boolean isRelease()

Specified by:
  `isRelease` in interface `Drop`
Generated
  NOT

### getBasedStreams

public EList<Stream> getBasedStreams()

Specified by:
  `getBasedStreams` in interface `Drop`
Generated
  NOT

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `FixedBaselineImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `FixedBaselineImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `FixedBaselineImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `FixedBaselineImpl`
Generated

### eInvoke

public Object eInvoke(int operationID, EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `InternalEObject`
Overrides:
  `eInvoke` in class `FixedBaselineImpl`
Throws:
  `InvocationTargetException`
Generated

### getName

public String getName()
Description copied from class: `BaselineImpl`

Specified by:
  `getName` in interface `Baseline`
Specified by:
  `getName` in class `FixedBaselineImpl`

### getTypeName

public String getTypeName()

Specified by:
  `getTypeName` in interface `Baseline`
Overrides:
  `getTypeName` in class `BaselineImpl`